within ;
package cv1
  model m1
    Modelica.Blocks.Continuous.Integrator integrator1 annotation(Placement(visible = true, transformation(origin = {-54, -10}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
  Modelica.Blocks.Continuous.Integrator integrator2(y_start = 1) annotation(Placement(visible = true, transformation(origin = {30, -64}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
  Modelica.Blocks.Math.Gain gain1(k = -1)  annotation(Placement(visible = true, transformation(origin = {-2, 34}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
  equation
    connect(integrator1.y, integrator2.u) annotation(Line(points = {{-42, -10}, {-12, -10}, {-12, -64}, {18, -64}}, color = {0, 0, 127}));
    connect(integrator1.y, gain1.u) annotation(Line(points = {{-42, -10}, {56, -10}, {56, 28}, {10, 28}, {10, 10}, {-38, 10}, {-38, 32}, {-14, 32}, {-14, 34}}, color = {0, 0, 127}));
    connect(gain1.y, integrator1.u) annotation(Line(points = {{10, 34}, {26, 34}, {26, 86}, {-72, 86}, {-72, -10}, {-66, -10}, {-66, -10}}, color = {0, 0, 127}));
    annotation(Icon, Diagram);
  end m1;

  model m2
    Real y(start = 1) "poloha";
    Real f;
    Real v;
    Real a;
    parameter Real k = 1 "tuhost pruziny";
    parameter Real m = 1 "hmotnost";
  equation
    f = -k * y;
    f = m * a;
    a = der(v);
    v = der(y);
    // radkovy komentar
    /*
        blokovy komentar
      */
    annotation(Icon, Diagram);
  end m2;

  connector yfcon
    Real y;
    flow Real f;
    annotation(Icon(graphics={  Rectangle(origin = {0, 1}, fillColor = {23, 184, 144},
              fillPattern =                                                                          FillPattern.Solid, extent = {{-96, 95}, {96, -95}})}), Diagram);
  end yfcon;

  model strop
    yfcon yfcon1 annotation(Placement(visible = true, transformation(origin = {2, -94}, extent = {{-10, -10}, {10, 10}}, rotation = 0), iconTransformation(origin = {2, -94}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
  equation
    yfcon1.y = 0;
    annotation(Icon(graphics={  Rectangle(origin = {0, 4}, fillPattern = FillPattern.Solid, extent = {{-94, 90}, {94, -90}})}), Diagram(graphics = {Rectangle(origin=  {22, 7}, extent=  {{-80, 67}, {80, -67}})}));
  end strop;

  model kulicka

    yfcon yfcon1 annotation(Placement(visible = true, transformation(origin = {0, -2}, extent = {{-10, -10}, {10, 10}}, rotation = 0), iconTransformation(origin = {0, -2}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
  Real a;
  Real v;
  parameter Real m = 1;
  Real y(start = y_start);
  parameter Real y_start = 0;
  equation
    v = der(yfcon1.y);
    yfcon1.y = y;
  yfcon1.f = m * a;
  0 = der(v) - a;
    annotation(Icon(graphics={  Ellipse(origin = {0, -1}, lineColor = {7, 50, 1}, fillColor = {23, 107, 5},
              fillPattern =                                                                                               FillPattern.Sphere, extent = {{-92, 93}, {92, -93}}, endAngle = 360)}), Diagram);
  end kulicka;

  model pruzina
    yfcon yfcon1 annotation(Placement(visible = true, transformation(origin = {0, 94}, extent = {{-10, -10}, {10, 10}}, rotation = 0), iconTransformation(origin = {0, 94}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
  yfcon yfcon2 annotation(Placement(visible = true, transformation(origin = {6, -88}, extent = {{-10, -10}, {10, 10}}, rotation = 0), iconTransformation(origin = {6, -88}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
  parameter Real k = 1;
  equation
    yfcon1.y - yfcon2.y = yfcon1.f / k;
  yfcon1.f + yfcon2.f = 0;
    annotation(Icon(graphics={  Line(origin = {-4.09036, 3.20117}, points = {{0.0903637, 92.7988}, {-51.9096, 52.7988}, {54.0904, 50.7988}, {-67.9096, -11.2012}, {58.0904, -3.20117}, {-45.9096, -49.2012}, {68.0904, -51.2012}, {-37.9096, -81.2012}, {8.09036, -81.2012}, {8.09036, -93.2012}})}), Diagram);
  end pruzina;

  model objektove
    strop strop1 annotation(Placement(visible = true, transformation(origin = {-66, 74}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
  kulicka kulicka1(m = 2, y_start=1)
                           annotation(Placement(visible = true, transformation(origin = {-20, 12}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
  pruzina pruzina1 annotation(Placement(visible = true, transformation(origin = {-68, 40}, extent = {{-10, -10}, {10, 10}}, rotation = 0)));
  equation
    connect(pruzina1.yfcon2, kulicka1.yfcon1) annotation(Line(points={{-67.4,
            31.2},{-66,31.2},{-66,12},{-20,12},{-20,11.8}}));
    connect(strop1.yfcon1, pruzina1.yfcon1) annotation(Line(points={{-65.8,64.6},
            {-68,64.6},{-68,49.4},{-68,49.4}}));
    annotation(Icon, Diagram);
  end objektove;
  annotation(Icon, Diagram,
    uses(Modelica(version="3.2.1")));
end cv1;
